#include <iostream>
#include<vector>

using namespace std;

int main()
{
    int n,m;
    scanf("%d",n);
    scanf("%d",m);
    vector<int> kako(n);
  for(int i=0;i<n;i++) scanf("%d",kako[i]);
    vector<int> obojeni(m,0);
    for(int i=0;i<n;i++){
        int prvi=0;
        int drugi=0;
        for(int j=0;j<m;j++){
            if(j<kako[i]){
                prvi+=(obojeni[j]+1)*(n-obojeni[j]-1);
            }
            prvi+=obojeni[j]*(n-obojeni[j]);
             if(j>=kako[i]){
                drugi+=(obojeni[j]+1)*(n-obojeni[j]-1);
            }
            drugi+=obojeni[j]*(n-obojeni[j]);
        }
        if(prvi<=drugi){
            for(int j=0;j<m;j++){
                if(j<kako[i]){
                    obojeni[j]++;
                }
            }
        }else{
             for(int j=0;j<m;j++){
                if(j>=kako[i]){
                    obojeni[j]++;
                }
            }
        }
    }
    int res=0;
    for(int i=0;i<m;i++){
        res+=obojeni[i]*(n-obojeni[i]);
    }
    cout<<res;
    return 0;
}